package gui;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JPanel;

public class Toolbar extends JPanel implements ActionListener{
	private JButton helloButton;
	private JButton goodbyeButton;
	//declares new instances of JButton variable
	
	private StringListener textListener;//reference from setStringListener is saved here
	
	public Toolbar() {
		setBorder(BorderFactory.createEtchedBorder());//new for Tutorial10, makes a small margin around text input box
		helloButton = new JButton("Hello");
		goodbyeButton = new JButton("Goodbye");
		//assigns functions to helloButton and goodbyeButton
		
		helloButton.addActionListener(this);
		goodbyeButton.addActionListener(this);
		
		setLayout (new FlowLayout(FlowLayout.LEFT));//adds new layout other than BorderLayout since FlowLayout serves this purpose better than BorderLayout
		
		add(helloButton);
		add(goodbyeButton);
		//actually adds buttons to window, needs to go after setLayout, add argument FlowLayout.LEFT in parenthesis of new FlowLayout() to align to left of Toolbar
	}
	
		public void setStringListener(StringListener listener) {
			this.textListener = listener;//saves reference to private StringListener textListener;
		}
		
		public void actionPerformed(ActionEvent e) {
				JButton clicked = (JButton)e.getSource();//retrieves source of event, to determine which button was clicked, returns object
				
				if (clicked == helloButton) {
					if(textListener != null) {
						textListener.textEmitted("Hello\n");
					}
				} else if (clicked == goodbyeButton){//added if (clicked == goodbyeButton) for clarity, not necessary for function
					if(textListener != null) {
						textListener.textEmitted("Goodbye\n");
					}
				}//determines what action to take based on which button is clicked
		}
	}
